Click here to go to the forum index Click here for the home page
 
Author Message

<  New users start here  ~  Downgrading Firmware ? 5800 PVRt

Page 1 of 1
Russ
Posted: Sat Jul 17, 2010 1:51 pm Reply with quote
Regular contributor Joined: 30 Sep 2005 Posts: 25
Is it possible to downgrade a firmware ?
Just got my parents a new 5800 PVRt & it's got v5.14.? firmware on it (cant remember exact number sorry) - it's got the facility to record a series if that helps ?

Tried to run EPG Navigator 5.1c on it so it would be the same as my 5800 PVR with v5.13.65, but when I tried to use it in the Auto Start folder it would not save or update the tv guide - but it does seem to be OK when it is in the programme files folder & started manually. Another problem is that I could not use Channel Manager (5.1) at all on it - would not even start up the programme.

So can I downgrade the firmware to v5.13.65 on the PVRt - & will it then be the same as my toppy ?
View user's profile Send private message
alan_m
Posted: Sat Jul 17, 2010 2:19 pm Reply with quote
Frequent contributor Joined: 18 Oct 2006 Posts: 3536
Russ wrote:
Is it possible to downgrade a firmware ?
Just got my parents a new 5800 PVRt & it's got v5.14.? firmware on it (cant remember exact number sorry) - it's got the facility to record a series if that helps ?

Tried to run EPG Navigator 5.1c on it so it would be the same as my 5800 PVR with v5.13.65, but when I tried to use it in the Auto Start folder it would not save or update the tv guide - but it does seem to be OK when it is in the programme files folder & started manually. Another problem is that I could not use Channel Manager (5.1) at all on it - would not even start up the programme.

So can I downgrade the firmware to v5.13.65 on the PVRt - & will it then be the same as my toppy ?


Your problem may be related to not having the [Sy] Patch installed in your current firmware
http://www.toppy.org.uk/~r2-d2/patches.html#Sy

Is your new machine a 5810 or another 5800? If it's a 5800 (of any variant) then you can UPGRADE to version 5.13.65T (note the T at the end indicating recommended firmware) You can use the Toppy.org.uk installer to install it. This should give you the opportunity to install the De and Re patches. Although EPGNav5.1 doesn't support the De patch there is a version of EPGNav that does - but it is carefully hidden in the forums.
http://www.toppy.org.uk/downloads/firmware.php

http://forum.toppy.org.uk/forum/viewtopic.php?t=13559
Extra instructions
http://forum.toppy.org.uk/forum/viewtopic.php?p=196150#196150

_________________
Ex Toppy 5800 user - now migrated to Xtrend ET10000 Enigma 2 box with 2 terrestrial and 2 satellite tuners. Second box Zgemma H9S (Enigma 2, satellite)
View user's profile Send private message
juwlz
Posted: Sat Jul 17, 2010 4:01 pm Reply with quote
MyStuff Team Joined: 12 Aug 2005 Posts: 10804 Location: Wokingham, Berkshire (Hannington transmitter)
Russ wrote:
Is it possible to downgrade a firmware ?
Just got my parents a new 5800 PVRt & it's got v5.14.? firmware on it (cant remember exact number sorry)
Yes. This site's Recommended Firmware is theoretically a "downgrade". Just run the installer.

NB: You MUST Factory reset and scan for channels again after any change between a non-Freeview+ (5.13.xx and anything earlier) and Freeview+ (5.14.xx) firmware.

Julie

_________________
5800, TS On, F/W: MS6 Recommended F/W 12/9/2009 -Sy+BmC0CfCtFsIMPePsR3UUuUxZ
5810, TS On, F/W: F/W: MS6 Recommended F/W 12/9/2009 +BmCfCtFsR3Z
MyStuff info; Help!; Reference
Harmony 885 remote. Sig date 8 April 2012
View user's profile Send private message Visit poster's website
Russ
Posted: Sat Jul 17, 2010 4:27 pm Reply with quote
Regular contributor Joined: 30 Sep 2005 Posts: 25
Thanks for your reply Alan, next time I go to my parents house I'll first try with the newer version of EPG Navigator you gave me a link to, and maybe try that SisID456 patch aswell if I can find out how to use it.

Their Toppy is a v5800 PVRt, only got it a couple of days ago & it came with v5.14.xx firmware installed on it.
I have already got a copy of v5.13.65t on my PC as I have already Upgraded the firmware on my older 5800PVR.


And thanks for your reply Julie, if the newer version of EPG Nav doesn't work I now know it will be safe to downggrade the firmware.
View user's profile Send private message
alan_m
Posted: Sat Jul 17, 2010 4:39 pm Reply with quote
Frequent contributor Joined: 18 Oct 2006 Posts: 3536
Russ wrote:
Thanks for your reply Alan, next time I go to my parents house I'll first try with the newer version of EPG Navigator you gave me a link to, and maybe try that SisID456 patch aswell if I can find out how to use it.

If you just want to patch a firmware already on the Toppy consider the HDFW TAP. Run the TAP once and immediately quit and it will generate its own folder/directory on the toppy's hard drive. Put any patches you want to install in this folder and run HDFW again.

http://www.tapworld.net/index.php?option=com_content&view=article&id=435:hdfw-24&catid=3:all-taps&Itemid=57
Instructions/User Guide:
http://www.toppy.org.uk/~r2-d2/hdfw.html

Don't forget that it may take EPGNav 15 to 30 minutes to fully populate the EPG when first installed. It's then saved on disk for "instant" access on future switch-ons.

_________________
Ex Toppy 5800 user - now migrated to Xtrend ET10000 Enigma 2 box with 2 terrestrial and 2 satellite tuners. Second box Zgemma H9S (Enigma 2, satellite)
View user's profile Send private message
Russ
Posted: Sat Jul 17, 2010 5:02 pm Reply with quote
Regular contributor Joined: 30 Sep 2005 Posts: 25
Thanks again Alan, couldn't find that guide before Embarassed
View user's profile Send private message
juwlz
Posted: Sat Jul 17, 2010 11:17 pm Reply with quote
MyStuff Team Joined: 12 Aug 2005 Posts: 10804 Location: Wokingham, Berkshire (Hannington transmitter)
Russ wrote:
... if the newer version of EPG Nav doesn't work I now know it will be safe to downggrade the firmware.
"Downgrade" it anyway. 5.14.xx is awful. 5.14.xx is an "upgrade" in version number only. There's a clue in the name "Recommended Firmware" for 5.13.65T Wink.

Julie

_________________
5800, TS On, F/W: MS6 Recommended F/W 12/9/2009 -Sy+BmC0CfCtFsIMPePsR3UUuUxZ
5810, TS On, F/W: F/W: MS6 Recommended F/W 12/9/2009 +BmCfCtFsR3Z
MyStuff info; Help!; Reference
Harmony 885 remote. Sig date 8 April 2012
View user's profile Send private message Visit poster's website
Russ
Posted: Sat Jul 17, 2010 11:33 pm Reply with quote
Regular contributor Joined: 30 Sep 2005 Posts: 25
juwlz wrote:
Russ wrote:
... if the newer version of EPG Nav doesn't work I now know it will be safe to downggrade the firmware.
"Downgrade" it anyway. 5.14.xx is awful. 5.14.xx is an "upgrade" in version number only. There's a clue in the name "Recommended Firmware" for 5.13.65T Wink.

Julie


OK, you've convinced me Julie, at least I know the other TAPs I use will work just the same then Cool
View user's profile Send private message

Display posts from previous:  

All times are GMT + 1 Hour
Page 1 of 1

Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum